#!/tvbin/tivosh

###############
# fixdemo.tcl #
###############

source /tvlib/tcl/tv/mfslib.tcl
#
# Function definitions
#
# Sleep function
proc sleep { val } {
	set x 0
	after $val { set x 1 }
	vwait x
	}

#
# Set sleep delay and loops
set maxloops 0
set loops 1
set tms 1800000
#
# Main loop
#
while { $loops < $maxloops || $maxloops == 0 } {
	# Go ahead and increment loops now, incase we continue early
	incr loops 1
proc FixDemo {db} {
    try {
        RetryTransaction {
            set sobj [db $db open /Setup]
            set ssobj [dbobj $sobj get ServiceInfo]

            dbobj $sobj set Complete 7
            dbobj $sobj set DemoMode 0
            }
    } catch errCode {
        puts "Failed to FixDemo, code=($errCode)"
        return 0
    }
    return 1
}

set db [dbopen]
  FixDemo $db
dbclose $db
sleep $tms}